signature Parser = 
sig

exception Error of string;
exception UnsupportedAttribute of string;
exception AttributeFormatException;
exception UnsupportedCPitem of string;
exception CannotDo of string
exception KeyNotFoundError;
exception UnknownInstructionError of int;

val parseTypes : string -> ( Jvmtype.jtype list * Jvmtype.jtype option )
val parseType : string -> Jvmtype.jtype
val parse : string -> MyClassFile.class_file
val parseByteCode : Word8Vector.vector ->
                    Constpool.pool ->
		    Bytecode.jvm_instr list 
val parseByteCode2 : Word8Vector.vector ->
		     Bytecode2.jvm_instr Array.array
end
