(* Intn.sig
 *
 * Peter Bertelsen
 * November 1997
 *)

eqtype int

val minInt : int option
val maxInt : int option

val fromInt   : Int.int -> int
val toInt     : int -> Int.int
val fromBytes : Word8Vector.vector -> int option
val toBytes   : int -> Word8Vector.vector
val compare   : int * int -> order

val add      : int -> int -> int
val subtract : int -> int -> int
val multiply : int -> int -> int
val show     : int -> unit
val show2    : int -> unit

val emit : (Word8.word -> unit) -> int -> unit
val scan : (unit -> Word8.word option) -> int option
