(* Label.sml
 *
 * Peter Bertelsen
 * August 1997
 *)

datatype label  = LBL of int
datatype labels = LBLS of int

fun toString (LBL n) = "label " ^ (Int.toString n)

val freshLabels = LBLS 0

(* 20030504 LK added function in .sml and .sig *)
fun fromInt i = LBL i

fun newLabel (LBLS n) = (LBLS (n+1), LBL n)
